# List all fixed charges for a subscription

## cURL

```
curl --request GET \
  --url 'https://api.getlago.com/api/v1/subscriptions/{external_id}/fixed_charges?subscription_status=active' \
  --header 'Authorization: Bearer <token>'
```

### Response Codes

- **200**
- **401**
- **404**

```
{
  "fixed_charges": [
    {
      "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "lago_add_on_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "invoice_display_name": "Setup fee",
      "add_on_code": "setup_fee",
      "created_at": "2023-06-27T19:43:42Z",
      "code": "setup_fee",
      "charge_model": "standard",
      "pay_in_advance": false,
      "prorated": false,
      "properties": {
        "amount": "30",
        "graduated_ranges": [
          {
            "from_value": 0,
            "to_value": 10,
            "flat_amount": "10",
            "per_unit_amount": "0.5"
          }
        ],
        "volume_ranges": [
          {
            "from_value": 0,
            "to_value": 10,
            "flat_amount": "10",
            "per_unit_amount": "0.5"
          }
        ]
      },
      "units": 1,
      "lago_parent_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "taxes": [
        {
          "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
          "name": "TVA",
          "code": "french_standard_vat",
          "rate": 20,
          "applied_to_organization": true,
          "created_at": "2023-07-06T14:35:58Z",
          "description": "French standard VAT"
        }
      ]
    }
  ],
  "meta": {
    "current_page": 2,
    "total_pages": 4,
    "total_count": 70,
    "next_page": 3,
    "prev_page": 1
  }
}
```

## Authorizations

**Authorization**  
string  
header  
required  
Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

## Path Parameters

**external_id**  
string  
required  
External ID of the existing subscription.

Example:

`"sub_1234567890"`

## Query Parameters

**page**  
integer  
Page number.

Example:

`1`

**per_page**  
integer  
Number of records per page.

Example:

`20`

**subscription_status**  
enum<string>  
default:active  
Filter by subscription status. When provided, the subscription is looked up with this status instead of the default `active` status. Possible values are `pending`, `active`, `terminated`, or `canceled`.

Available options:

`pending`,  
`active`,  
`terminated`,  
`canceled`

Example:

`"active"`

## Response

**200**  
application/json  
List of fixed charges

**fixed_charges**  
object[]  
required  
Showchild attributes

**meta**  
object  
required  
Showchild attributes
